import dynamix_sdk.base as _base


class CloudapiComputeBootDiskSetResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeBootDiskSetProtocol(_base.BasePostAPIFunctionProtocol):
    def boot_disk_set(
        self,
        *,
        vm_id: int,
        disk_id: int,
    ) -> CloudapiComputeBootDiskSetResultBool:
        ...
